; Script generated by the HM NIS Edit Script Wizard.

Name "Age of Pirates: Historical Immersion"
OutFile "aopct_hi_supermod_installer.exe"
InstallDir "$PROGRAMFILES\Playlogic\Age of Pirates - Caribbean Tales\"

ShowInstDetails nevershow
SetCompressor lzma
ComponentText "READ THE DESCRIPTIONS! Only install additional options if you REALLY need or want them."

; Request application privileges for Windows Vista
RequestExecutionLevel highest

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Age of Pirates: Caribbean Tales - Historical Immersion"
!define PRODUCT_VERSION "Supermod 2.0"
!define PRODUCT_PUBLISHER "PiratesAhoy! Community"
!define PRODUCT_WEB_SITE "http://www.piratesahoy.net"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "C:\Users\PDM Boelen\Desktop\NEW\Installer\UsedFiles\One Shot.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!define MUI_LICENSEPAGE_CHECKBOX
!define MUI_PAGE_CUSTOMFUNCTION_SHOW licpageshow
!insertmacro MUI_PAGE_LICENSE "C:\Users\PDM Boelen\Desktop\PotC\CoAS\Installer\UsedFiles\Installation Instructions AoP.txt"
; Components page
!insertmacro MUI_PAGE_COMPONENTS
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_SHOWREADME "$INSTDIR\README-INSTALL-FEATURES.docx"
!define MUI_FINISHPAGE_SHOWREADME_TEXT "Read modpack details"
!insertmacro MUI_PAGE_FINISH

; Language files
!insertmacro MUI_LANGUAGE "English"



; ================================================
;  Copy Folder with Overwrite
; ================================================
!include 'LogicLib.nsh'
!include 'FileFunc.nsh'
!insertmacro Locate

Var /GLOBAL switch_overwrite
!include 'UsedFiles\MoveFileFolder.nsh'



; ================================================
;  License Page with Courier New Font
; ================================================

Function licpageshow
FindWindow $0 "#32770" "" $HWNDPARENT
CreateFont $1 "Courier New" "$(^FontSize)"
GetDlgItem $0 $0 1000
SendMessage $0 ${WM_SETFONT} $1 1
FunctionEnd


; ================================================
;  Start Main Files Section
; ================================================

Section "!Main Files" SEC01
  ${If} ${FileExists} "$INSTDIR\ENGINE.exe"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "ENGINE.exe not found. Make sure you install the 2006 Age of Pirates: Caribbean Tales game by Akella first!" IDOK abort1
    abort1:
    Banner::destroy
    Abort
  ${EndIf}

  ; Only do this if the file is there
  ${If} ${FileExists} "$EXEDIR\aopct_hi_supermod.7z"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "Main Files archive file not present. Place 'aopct_hi_supermod.7z' in this folder to continue." IDOK continue
    continue:
    ${If} ${FileExists} "$EXEDIR\aopct_hi_supermod.7z"
    ${Else}
      MessageBox MB_OK|MB_ICONINFORMATION "Main Files archive not found. Skipping section." IDOK abort2
      abort2:
      return
    ${EndIf}
  ${EndIf}

; ================================================
;  Prepare and Clean Up Stock Game Folder
; ================================================

  StrCpy $switch_overwrite 1

  ; Delete unnecessary main game files
  Delete $INSTDIR\options
  RMDir /r $INSTDIR\SAVE


; ================================================
;  Install Main Modpack Files
; ================================================

  ; Extract 7-Zip File
  SetOutPath "$EXEDIR"
  Nsis7z::ExtractWithDetails "aopct_hi_supermod.7z" "Extracting Main Modpack Files: %s..."

  ; Copy from EXE Folder to Installation Directory
  !insertmacro MoveFolder "$EXEDIR\Age of Pirates - Caribbean Tales\" "$INSTDIR\" "*.*"

SectionEnd


; ================================================
;  Start UPDATE Files Section
; ================================================

Section "UPDATE Files" SEC02
  SectionIn RO

  ${If} ${FileExists} "$INSTDIR\ENGINE.exe"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "ENGINE.exe not found. Make sure you install the 2006 Age of Pirates: Caribbean Tales game by Akella first!" IDOK abort1
    abort1:
    Banner::destroy
    Abort
  ${EndIf}

  ${If} ${FileExists} "$INSTDIR\README-INSTALL-FEATURES.docx"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "README-INSTALL-FEATURES.docx not found. Make sure you install the Historical Immersion Supermod Main Files first!" IDOK abort2
    abort2:
    Banner::destroy
    Abort
  ${EndIf}


; ================================================
;  Install UPDATE Files
; ================================================


; ================================================
;  Clean Up Update Files
; ================================================

SectionEnd


; ================================================
;  Additional Optional Sections
; ================================================

Section /o "ENB Improved Graphics" SEC03
  Delete "$INSTDIR\Uninstall ENB.bat"
  SetOutPath "$INSTDIR"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\d3d8.dll"
  SetOutPath "$INSTDIR\Documentation"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Documentation\ENB Key Codes.txt"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Documentation\ENB License.txt"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Documentation\ENB ReadMe.txt"
  SetOutPath "$INSTDIR"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\enbconvertor.ini"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\enbpalette.bmp"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\enbseries.ini"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Uninstall ENB.exe"
SectionEnd

Section -Post
  CreateDirectory $INSTDIR\SAVE
SectionEnd


; ================================================
;  Section Descriptions and Size
; ================================================

Function .onInit
# Section Size must be manually set to the size of the required disk space as NSIS will not do this for external files.
# set required size of section number of kilobytes
SectionSetSize ${SEC01} 6710886

; Installer must NOT be in the game directory
${If} ${FileExists} "$EXEDIR\ENGINE.exe"
  MessageBox MB_OK|MB_ICONINFORMATION "Please place the installation files OUTSIDE your game folder." IDOK abort
  abort:
  Banner::destroy
  Abort
${EndIf}

FunctionEnd

!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "Code files and resources required for the Historical Immersion Supermod. Deselect if installing an Update only."
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} "Additional UPDATE files for the Historical Immersion Supermod. Will ALWAYS be installed."
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC03} "Post-processing improved graphics. WARNING: Requires very high system specifications to run smoothly. Only install if you have a really good computer!"
!insertmacro MUI_FUNCTION_DESCRIPTION_END