; Script generated by the HM NIS Edit Script Wizard.

Name "Build 14 Beta 3"
OutFile "b14_beta3_installer.exe"
InstallDir "$PROGRAMFILES\Bethesda Softworks\Pirates of the Caribbean\"

ShowInstDetails nevershow
SetCompressor lzma
ComponentText "READ THE DESCRIPTIONS! Only install additional options if you REALLY need or want them."

; Request application privileges for Windows Vista
RequestExecutionLevel highest

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Pirates of the Caribbean: New Horizons"
!define PRODUCT_VERSION "Build 14 Beta 3"
!define PRODUCT_PUBLISHER "PiratesAhoy! Community"
!define PRODUCT_WEB_SITE "http://www.piratesahoy.net"

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "C:\Users\PDM Boelen\Desktop\NEW\Installer\UsedFiles\A Compass That Doesn't Point North.ico"

; Welcome page
!insertmacro MUI_PAGE_WELCOME
; License page
!define MUI_LICENSEPAGE_CHECKBOX
!define MUI_PAGE_CUSTOMFUNCTION_SHOW licpageshow
!insertmacro MUI_PAGE_LICENSE "C:\Users\PDM Boelen\Desktop\NEW\Installer\UsedFiles\Installation Instructions.txt"
; Components page
!insertmacro MUI_PAGE_COMPONENTS
; Directory page
!insertmacro MUI_PAGE_DIRECTORY
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!define MUI_FINISHPAGE_SHOWREADME "$INSTDIR\engine.ini"
!define MUI_FINISHPAGE_SHOWREADME_TEXT "Configure game resolution and basic settings"
!insertmacro MUI_PAGE_FINISH

; Language files
!insertmacro MUI_LANGUAGE "English"



; ================================================
;  Copy Folder with Overwrite
; ================================================
!include 'LogicLib.nsh'
!include 'FileFunc.nsh'
!insertmacro Locate

Var /GLOBAL switch_overwrite
!include 'UsedFiles\MoveFileFolder.nsh'



; ================================================
;  License Page with Courier New Font
; ================================================

Function licpageshow
FindWindow $0 "#32770" "" $HWNDPARENT
CreateFont $1 "Courier New" "$(^FontSize)"
GetDlgItem $0 $0 1000
SendMessage $0 ${WM_SETFONT} $1 1
FunctionEnd


; ================================================
;  Start Main Files Section
; ================================================

Section "!Main Files" SEC01
  ${If} ${FileExists} "$INSTDIR\readme.txt"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "Readme.txt not found. Make sure you install the 2003 Pirates of the Caribbean game by Akella first!" IDOK abort1
    abort1:
    Banner::destroy
    Abort
  ${EndIf}

  ; Only do this if the file is there
  ${If} ${FileExists} "$EXEDIR\b14_beta3_full.7z"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "Main Files archive file not present. Place 'b14_beta3_full.7z' in this folder to continue." IDOK continue
    continue:
    ${If} ${FileExists} "$EXEDIR\b14_beta3_full.7z"
    ${Else}
      MessageBox MB_OK|MB_ICONINFORMATION "Main Files archive not found. Skipping section." IDOK abort2
      abort2:
      return
    ${EndIf}
  ${EndIf}

; ================================================
;  Prepare and Clean Up Stock Game Folder
; ================================================

  StrCpy $switch_overwrite 1

  ; Delete unnecessary main game files
  Delete $INSTDIR\memory.mp
  Delete $INSTDIR\options
  Delete $INSTDIR\DrvMgt.dll
  Delete $INSTDIR\Config.exe
  Delete $INSTDIR\SECDRV.SYS
  RMDir /r $INSTDIR\MODULES
  RMDir /r $INSTDIR\PROGRAM
  RMDir /r $INSTDIR\SAVE
  RMDir /r $INSTDIR\RESOURCE\INI
  RMDir /r $INSTDIR\RESOURCE\QUESTSTEXT
  RMDir /r $INSTDIR\RESOURCE\Textures\Loading\English
  CreateDirectory $INSTDIR\RESOURCE\VIDEOS\common
  CreateDirectory $INSTDIR\RESOURCE\VIDEOS\standard\English

  ; Delocalize folder structure

  ${If} ${FileExists} "$INSTDIR\RESOURCE\Sounds\voice\GERMAN\Dut_f_a_001.wav"
  Goto ger
  ${EndIf}

  ${If} ${FileExists} "$INSTDIR\RESOURCE\Sounds\voice\FRENCH\Dut_f_a_001.wav"
  Goto fre
  ${EndIf}

  ${If} ${FileExists} "$INSTDIR\RESOURCE\Sounds\voice\SPANISH\Dut_f_a_001.wav"
  Goto spa
  ${EndIf}

  ${If} ${FileExists} "$INSTDIR\RESOURCE\Sounds\voice\RUSSIAN\Dut_f_a_001.wav"
  Goto rus
  ${EndIf}

  Goto eng

  eng:
  ${If} ${FileExists} "$INSTDIR\RESOURCE\Sounds\voice\Dut_f_a_001.wav"
    Rename $INSTDIR\RESOURCE\Sounds\VOICE								$INSTDIR\RESOURCE\Sounds\VOICE_temp
    !insertmacro MoveFolder "$INSTDIR\RESOURCE\Sounds\VOICE_temp\"					"$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\" "*.*"
  ${EndIf}

  Rename $INSTDIR\RESOURCE\VIDEOS\AkellaLogo.wmv							$INSTDIR\RESOURCE\VIDEOS\common\AkellaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Artefact.wmv								$INSTDIR\RESOURCE\VIDEOS\common\Artefact.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\BethesdaLogo.wmv							$INSTDIR\RESOURCE\VIDEOS\common\BethesdaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\BlackPearl.wmv							$INSTDIR\RESOURCE\VIDEOS\common\BlackPearl.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Blaze_land_dead.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Blaze_land_dead.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Blaze_mutiny_dead.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Blaze_mutiny_dead.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\Credits.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\Ending.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\Ending_eng.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Idol.wmv								$INSTDIR\RESOURCE\VIDEOS\standard\Idol.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Skeleton_on_beach.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Skeleton_on_beach.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Storm.wmv								$INSTDIR\RESOURCE\VIDEOS\common\Storm.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Temple.wmv								$INSTDIR\RESOURCE\VIDEOS\standard\Temple.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\UBI.wmv								$INSTDIR\RESOURCE\VIDEOS\common\UBI.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Undersea.wmv								$INSTDIR\RESOURCE\VIDEOS\common\Undersea.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\WaltDisneyLogo.wmv							$INSTDIR\RESOURCE\VIDEOS\common\WaltDisneyLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\Invasion.wmv								$INSTDIR\RESOURCE\VIDEOS\standard\English\Invasion.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\English\Invasion.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\English\Invasion.wmv
  Goto end

  ger:
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\GERMAN								$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH

  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\AkellaLogo.wmv							$INSTDIR\RESOURCE\VIDEOS\common\AkellaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Artefact.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Artefact.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\BethesdaLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\BethesdaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\BlackPearl.wmv							$INSTDIR\RESOURCE\VIDEOS\common\BlackPearl.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Blaze_land_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_land_dead.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Blaze_mutiny_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_mutiny_dead.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\GERMAN\Credits.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\GERMAN\Ending.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Idol.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Idol.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Skeleton_on_beach.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Skeleton_on_beach.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Storm.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Storm.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Temple.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Temple.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\UBI.wmv							$INSTDIR\RESOURCE\VIDEOS\common\UBI.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Undersea.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Undersea.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\WaltDisneyLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\WaltDisneyLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\GERMAN\Invasion.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\English\Invasion.wmv
  Goto end

  fre:
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\FRENCH								$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_001.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_001.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_002.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_002.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_003.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_003.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_004.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_004.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_005.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_005.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_006.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_006.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_007.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_007.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_008.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_008.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_009.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_009.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_010.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_010.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_011.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_011.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_012.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_012.wav
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fra_f_a_013.wav						$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH\fre_f_a_013.wav

  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\AkellaLogo.wmv							$INSTDIR\RESOURCE\VIDEOS\common\AkellaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Artefact.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Artefact.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\BethesdaLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\BethesdaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\BlackPearl.wmv							$INSTDIR\RESOURCE\VIDEOS\common\BlackPearl.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Blaze_land_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_land_dead.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Blaze_mutiny_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_mutiny_dead.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\FRENCH\Credits.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\FRENCH\Ending.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Idol.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Idol.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Skeleton_on_beach.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Skeleton_on_beach.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Storm.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Storm.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Temple.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Temple.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\UBI.wmv							$INSTDIR\RESOURCE\VIDEOS\common\UBI.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Undersea.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Undersea.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\WaltDisneyLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\WaltDisneyLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\FRENCH\Invasion.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\English\Invasion.wmv

  Goto end

  spa:
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\SPANISH								$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH

  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\AkellaLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\AkellaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Artefact.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Artefact.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\BethesdaLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\BethesdaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\BlackPearl.wmv						$INSTDIR\RESOURCE\VIDEOS\common\BlackPearl.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Blaze_land_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_land_dead.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Blaze_mutiny_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_mutiny_dead.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\SPANISH\Credits.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\SPANISH\Ending.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Idol.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Idol.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Skeleton_on_beach.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Skeleton_on_beach.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Storm.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Storm.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Temple.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Temple.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\UBI.wmv							$INSTDIR\RESOURCE\VIDEOS\common\UBI.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Undersea.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Undersea.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\WaltDisneyLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\WaltDisneyLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\SPANISH\Invasion.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\English\Invasion.wmv
  Goto end

  rus:
  Rename $INSTDIR\RESOURCE\Sounds\VOICE\RUSSIAN								$INSTDIR\RESOURCE\Sounds\VOICE\ENGLISH

  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\AkellaLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\AkellaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Artefact.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Artefact.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\BethesdaLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\BethesdaLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\BlackPearl.wmv						$INSTDIR\RESOURCE\VIDEOS\common\BlackPearl.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Blaze_land_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_land_dead.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Blaze_mutiny_dead.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Blaze_mutiny_dead.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Credits.wmv
  Delete $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Ending.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Idol.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Idol.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Skeleton_on_beach.wmv						$INSTDIR\RESOURCE\VIDEOS\common\Skeleton_on_beach.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Storm.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Storm.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Temple.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\Temple.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\UBI.wmv							$INSTDIR\RESOURCE\VIDEOS\common\UBI.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Undersea.wmv							$INSTDIR\RESOURCE\VIDEOS\common\Undersea.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\WaltDisneyLogo.wmv						$INSTDIR\RESOURCE\VIDEOS\common\WaltDisneyLogo.wmv
  Rename $INSTDIR\RESOURCE\VIDEOS\RUSSIAN\Invasion.wmv							$INSTDIR\RESOURCE\VIDEOS\standard\English\Invasion.wmv
  Goto end

  end:

  ; Prepare Ship Deck Folders
  RMDir /r $INSTDIR\RESOURCE\MODELS\locations\decks\Cap
  RMDir /r $INSTDIR\RESOURCE\MODELS\locations\decks\tut_deck

  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\day\locations\decks\Cap\"		"$INSTDIR\RESOURCE\Textures\lighting\day\locations\decks\cabin\Cap" "*.*"
  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\day\locations\decks\tut_deck\"		"$INSTDIR\RESOURCE\Textures\lighting\day\locations\decks\cabin\tut_deck" "*.*"

  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\evening\locations\decks\Cap\"		"$INSTDIR\RESOURCE\Textures\lighting\evening\locations\decks\cabin\Cap" "*.*"
  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\evening\locations\decks\tut_deck\"	"$INSTDIR\RESOURCE\Textures\lighting\evening\locations\decks\cabin\tut_deck" "*.*"

  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\mn\locations\decks\Cap\"			"$INSTDIR\RESOURCE\Textures\lighting\mn\locations\decks\cabin\Cap" "*.*"
  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\mn\locations\decks\tut_deck\"		"$INSTDIR\RESOURCE\Textures\lighting\mn\locations\decks\cabin\tut_deck" "*.*"

  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\storm\locations\decks\Cap\"		"$INSTDIR\RESOURCE\Textures\lighting\storm\locations\decks\cabin\Cap" "*.*"
  !insertmacro MoveFolder "$INSTDIR\RESOURCE\Textures\lighting\storm\locations\decks\tut_deck\"		"$INSTDIR\RESOURCE\Textures\lighting\storm\locations\decks\cabin\tut_deck" "*.*"

  ; Delete useless head animation files
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Liza.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Offic_eng.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Offic_fra.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Offic_hol.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Offic_por.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Offic_spa.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Eng.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Eng2.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Eng3.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Eng4.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Eng5.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Eng6.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Fra.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Fra2.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Fra3.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Fra4.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Fra5.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Fra6.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Hol.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Hol2.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Hol3.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Hol4.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Hol5.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Hol6.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Por.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Por2.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Por3.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Por4.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Por5.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Por6.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Spa.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Spa2.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Spa3.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Spa4.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Spa5.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\h_Soldier_Spa6.ani
  Delete $INSTDIR\RESOURCE\animation\Heads\AN\h_Liza.an

  ; Delete useless model files
  Delete $INSTDIR\RESOURCE\MODELS\fish01.qch

  ; Delete useless character model files
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Liza.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Offic_eng.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Offic_fra.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Offic_hol.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Offic_por.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Offic_spa.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Eng.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Eng2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Eng3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Eng4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Eng5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Eng6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Fra.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Fra2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Fra3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Fra4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Fra5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Fra6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Hol.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Hol2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Hol3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Hol4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Hol5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Hol6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Por.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Por2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Por3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Por4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Por5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Por6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Spa.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Spa2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Spa3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Spa4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Spa5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Characters\Soldier_Spa6.gm

  ; Delete useless head model files
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Liza.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Offic_eng.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Offic_fra.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Offic_hol.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Offic_por.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Offic_spa.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Eng.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Eng2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Eng3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Eng4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Eng5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Eng6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Fra.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Fra2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Fra3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Fra4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Fra5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Fra6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Hol.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Hol2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Hol3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Hol4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Hol5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Hol6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Por.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Por2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Por3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Por4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Por5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Por6.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Spa.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Spa2.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Spa3.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Spa4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Spa5.gm
  Delete $INSTDIR\RESOURCE\MODELS\Heads\h_Soldier_Spa6.gm

  ; Delete useless location model files
  Delete $INSTDIR\RESOURCE\MODELS\Islands\Douwesen\Douwesen.qch
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\alcove.qch"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab1.qch"
  Delete $INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\cavern_l_locators.atg
  Delete $INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_1\d01.qch
  Delete $INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\Conport.qch
  Delete $INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\oxexit.qch
  Delete $INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXport_l.gm.old

  ; Delete useless location lighting files
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_FORT1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_FORT1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_FORT1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_FORT1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Conceicao\CONCEICAO_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_FORT1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_FORT1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_FORT1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_FORT1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Douwesen\DOUWESEN_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_FORT1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_FORT1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_FORT1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_FORT1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\FalaiseDeFleur\FALAISEDEFLEUR_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_FORT1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_FORT1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_FORT1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_FORT1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\IslaMuelle\ISLAMUELLE_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa\KHAELROA_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\KhaelRoa1\KHAELROA1_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_FORT2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Oxbay\OXBAY_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\QuebradasCostillas\QUEBRADASCOSTILLAS_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_FORT1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_FORT1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_FORT1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_FORT1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_REFL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_REFL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_REFL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_REFL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_SEABED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_SEABED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_SEABED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Islands\Redmond\REDMOND_SEABED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck1\DECK1_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\deck2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\DECK2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\DECK2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\DECK2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\deck2_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\DECK2_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\DECK2_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Deck2\DECK2_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Hold\HOLD_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Qdeck\QDECK_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Qdeck\QDECK_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Qdeck\QDECK_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Qdeck\QDECK_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Udeck\UDECK_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Udeck\UDECK_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Udeck\UDECK_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\decks\Udeck\UDECK_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_1\FORT1_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_2\FORT2_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Fort_Inside\Fort_3\FORT3_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\alcove_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\alcove_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\alcove_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\alcove_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\Bird_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\Bird_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\Bird_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Alcove\Bird_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\DOOR_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\DOOR_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\DOOR_evening1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\DOOR_evening2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Labirint\lab3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_sb_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_sb_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_sb_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Port\KRport_sb_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Temple\HRAM_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Temple\HRAM_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Temple\HRAM_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Incas Temple\Temple\HRAM_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ANIMISTS_Cave\SCave_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ANIMISTS_Cave\SCave_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ANIMISTS_Cave\SCave_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ANIMISTS_Cave\SCave_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\cavern_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\cavern_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\cavern_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\cavern_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\Crystals_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\Crystals_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\Crystals_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Cavern\Crystals_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_2\church2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_2\church2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_2\church2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_2\church2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_2\CHURCH2_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_2\church2_w_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_2\church2_w_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\church_3\church3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\church_3\CHURCH3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\church_3\church3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\church_3\church3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\church_3\CHURCH3_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_Inside\church_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_Inside\church_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_Inside\church_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_Inside\church_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_Inside\church_w_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_Inside\church_w_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Church_Inside\church_w_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LF1_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LF1_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LF1_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LF1_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Doubleflour_house\LH_F2_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_1\d01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_1\d01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_1\d01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_1\d01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\d02_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\d02_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\d02_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\d02_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FD_evening1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FD_evening2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FN_day2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FN_day3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FN_evening1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_2\D02_FN_evening2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_3\d03_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_3\d03_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_3\d03_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_3\d03_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_fn_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_fn_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Dungeon_4\d04_fn_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Grot\Grot_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Grot\Grot_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Grot\Grot_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Grot\Grot_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_FN_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_FN_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_FN_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_FN_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\LargeStore\LS_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Largetavern\LT_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_w_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumHouse\MH_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mediumhouse2\MH02_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumStore\MS_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MediumTavern\MT_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh10\MH10_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh10\MH10_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh10\MH10_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh10\MH10_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh3\MH3_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh4\MH4_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh5\MH5_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh6\MH6_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh7\MH7_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh8\MH8_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\mh9\MH9_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MINE\MINE_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MINE\MINE_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MINE\MINE_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\MINE\MINE_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Pirate_House\PIRH_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\pirateresidence\ResP_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\pirateresidence\ResP_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\pirateresidence\ResP_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\pirateresidence\ResP_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Prison\PRI_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\ResBedRoom\BED_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence_BackHall\RESB_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence1\Res01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence1\Res01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence1\Res01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence1\Res01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence1\Res01_w_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence1\Res01_w_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\RES02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\RES02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\Res02_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\Res02_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\RES02_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\RES02_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\Res02_w_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence2\Res02_w_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence3\Res03_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence3\Res03_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence3\Res03_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence3\Res03_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence3\Res03_w_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence3\Res03_w_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence4\RES04_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Residence5\RES05_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\back\REDSH1_E_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\back\REDSH1_E_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\sh01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\sh01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\sh01_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\sh01_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard\SH01_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard2\SH02_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Shipyard3\SH03_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\Smallhome\SH_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_w_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\SmallTavern\ST_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_FN_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_FN_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_FN_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_FN_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Inside\StoreSmall\SS_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Canyon\rift_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b02_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b02_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b02_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b02_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b03_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b03_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b03_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b03_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b04_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b04_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b04_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_b04_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Cave Entrance\Cave_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\jungle01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\jungle01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\jungle01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\jungle01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_1\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\JUNGLE02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\JUNGLE02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\JUNGLE02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\JUNGLE02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_2\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\JUNGLE03_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\JUNGLE03_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\JUNGLE03_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\JUNGLE03_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_3\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\JUNGLE04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\JUNGLE04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\JUNGLE04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\JUNGLE04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_4\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\jungle05_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\jungle05_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\jungle05_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\jungle05_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_5\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\JUNGLE06_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\JUNGLE06_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\JUNGLE06_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\JUNGLE06_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_6\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\JUNGLE07_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\JUNGLE07_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\JUNGLE07_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\JUNGLE07_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_7\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\JUNGLE08_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\JUNGLE08_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\JUNGLE08_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\JUNGLE08_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Jungle_8\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak\MAYAK_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_W_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_W_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_W_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\IMAYAK_W_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Mayak_inside\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_sb_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_sb_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_sb_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass1_sb_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_sb_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_sb_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_sb_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\pass2_sb_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Passage\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PIRL_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Pirate_outer_Location\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B03_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B03_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B03_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B03_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHOUSE_B04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHouse_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHouse_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHouse_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Rheims House\RHouse_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_1\SHORE01_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_10\SHORE10_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_2\SHORE02_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_3\SHORE03_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_4\SHORE04_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_5\SHORE05_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_6\SHORE06_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_7\SHORE07_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_8\SHORE08_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_9\SHORE09_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\outside\Shore_ship\SHORESHIP_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b02_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b02_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b02_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b02_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b03_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b03_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b03_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b03_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b04_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b04_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b04_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_b04_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Pirate Fort\pif_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Exit\smlexit_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_4_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_4_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_4_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\PLAN_4_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Smuggler Lair\Town\SML_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\conexit_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Exit\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_B04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_B04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_B04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_B04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_E01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_E01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_E01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_E01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Port\CONPORT_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B03_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B03_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B03_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B03_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\CONTOWN_B04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Conceicao\Town\ConTown_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\DOUEXIT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_4_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_4_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_4_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\PLAN_4_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Exit\WATERFALL2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_E01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_E01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_E01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_E01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Port\DOUPORT_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\DOUTOWN_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Douwesen\Town\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\ffexit_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Exit\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\FFport01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\FFport01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\FFport01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\FFport01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_sb_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_sb_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_sb_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port\ffport01_sb_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\port2\FFPORT02_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\ff01_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_01\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_e01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_e01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_e01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_e01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\ff02_e1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\FF02_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\ff02_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\ff02_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\ff02_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\ff02_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_02\ff02_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_03\ff03_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_FalaiseDeFleur\Town_04\ff04_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\grexit_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\grexit_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\grexit_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\grexit_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\GrExit_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\GrExit_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\GrExit_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\GrExit_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\GrExit_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Exit\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Port\GRPORT_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B02_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B02_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B02_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B02_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B03_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B03_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B03_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B03_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_B04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GrTown_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GrTown_e01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_E01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_E01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_E01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GRTOWN_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Greenford\Town\GrTown_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\muexit_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Exit\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_E1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_E1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_E1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_E1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Port\MUPORT_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\Mu01_e1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\Mu01_e1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\Mu01_e1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\Mu01_e1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_01\mu01_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_02\mu02_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_e1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_e1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_e1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_e1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_03\mu03_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_IslaMuelle\Town_04\MU04_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXEXIT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\OXexit_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Exit\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_E1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_E1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_E1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_E1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Port\OXPORT_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXTOWN_B04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXTOWN_B04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXTOWN_B04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXTOWN_B04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_e1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_e1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_e1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_e1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\oxtown_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXtown_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXtown_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXtown_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXtown_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Oxbay\Town\OXtown_fn_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\qcexit_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\qcexit_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\qcexit_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Exit\qcexit_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Port\QCPORT_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_QC\Town\QCTOWN_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_E01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_E01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_E01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_E01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_L_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_L_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_L_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_L_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_SB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_SB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_SB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Port\REDPORT_SB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_2_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_2_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_2_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_2_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_3_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_3_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_3_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\plan_3_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_fd_day2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_fd_day3.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_fd_evening1.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit1\redexit1_fd_evening2.col"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_1_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_1_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_1_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_1_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_3_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_3_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_3_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\PLAN_3_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\redexit2\REDEXIT2_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_E01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_E01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_E01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_E01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RB01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RB01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RB01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RB01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RE01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RE01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RE01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RE01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RT01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RT01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RT01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_01\RED01_RT01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RB01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RB01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RB01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RB01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RE01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RE01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RE01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RE01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RT01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RT01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RT01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_03\RED03_RT01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_E01_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_E01_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_E01_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_E01_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_FD_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_FD_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_FD_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_FD_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RB_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RB_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RB_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RB_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RE_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RE_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RE_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RE_EVENING2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RT_DAY2.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RT_DAY3.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RT_EVENING1.COL"
  Delete "$INSTDIR\RESOURCE\MODELS\Locations\Town_Redmond\Town_04\RED04_RT_EVENING2.COL"

  ; Delete useless ship model files
  RMDir /r $INSTDIR\RESOURCE\MODELS\Ships\Fearless
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Barque1\barque1_rey_b4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Barque1\barque1_rey_c4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Barque2\barque2_rey_b4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Barque2\barque2_rey_c4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\BlackPearl\blackpearl_rey_a4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\BlackPearl\blackpearl_rey_b4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Corvette1\corvette1_rey_a4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Corvette2\corvette2_rey_a4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Fleut1\Fleut1_rey_a1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Fleut1\Fleut1_rey_b1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Fleut2\fleut2_rey_a1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Fleut2\fleut2_rey_b1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Frigate1\frigate1_mast1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Frigate1\frigate1_rey_a4.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Frigate2\frigate2_mast1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\Frigate2\frigate2_rey_a4.gm

  ; Delete useless sound files
  Delete $INSTDIR\RESOURCE\SOUNDS\dsstdfx.bin
  Delete $INSTDIR\RESOURCE\SOUNDS\AMBIENT\CHURCH\bench3.sfk
  Delete $INSTDIR\RESOURCE\SOUNDS\INTERFACE\drink.sfk
  Delete $INSTDIR\RESOURCE\SOUNDS\INTERFACE\knock.sfk
  Delete $INSTDIR\RESOURCE\SOUNDS\OBJECTS\VOICES\DEAD\male\dead4.sfk
  Delete $INSTDIR\RESOURCE\SOUNDS\PEOPLE\step_grass.sfk
  Delete $INSTDIR\RESOURCE\Sounds\MUSIC\March.ogg
  Delete $INSTDIR\RESOURCE\SOUNDS\MUSIC\Spokplavaniye.ogg

  ; Delete useless texture files
  RMDir /r $INSTDIR\RESOURCE\Textures\tips
  Delete $INSTDIR\RESOURCE\Textures\*.tga
  Delete $INSTDIR\RESOURCE\Textures\*.xbx
  Delete $INSTDIR\RESOURCE\Textures\flagall.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Loading\initialization.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Loading\load.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Loading\load_game.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Loading\Save_Game.tga.tx

  ; Delete useless character texture files
  Delete $INSTDIR\RESOURCE\Textures\Characters\Liza.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Characters\Offic_eng.tga.tx

  ; Delete useless interface texture files
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\all_nations.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\cicons_locators.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\fast_commands.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\small_nations.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_1.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_2.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_3.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_4.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_5.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_6.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_7.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_8.tga.tx

  Delete $INSTDIR\RESOURCE\Textures\INTERFACES\nations_2.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\INTERFACES\nations_4.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\INTERFACES\potc_logo_rus.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\INTERFACES\ship-1.tga.tx

  ; Delete useless worldmap texture files
  RMDir /r $INSTDIR\RESOURCE\Textures\WorldMap\reload
  Delete $INSTDIR\RESOURCE\Textures\Worldmap\Interfaces\icons.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Worldmap\geometry\sails_shiplet.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Worldmap\geometry\shiplet.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Worldmap\geometry\shipletlet.tga.tx

  ; Delete old sail files
  Delete $INSTDIR\RESOURCE\Textures\Ships\parus_england.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Ships\parus_france.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Ships\parus_holland.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Ships\parus_pirate.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Ships\parus_portugal.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Ships\parus_spain.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\Ships\sail_*.tga.tx


; ================================================
;  Install Main Modpack Files
; ================================================

  ; Extract 7-Zip File
  SetOutPath "$EXEDIR"
  Nsis7z::ExtractWithDetails "b14_beta3_full.7z" "Extracting Main Modpack Files: %s..."

  ; Copy from EXE Folder to Installation Directory
  !insertmacro MoveFolder "$EXEDIR\b14_beta3_full\" "$INSTDIR\" "*.*"


; ================================================
;  Copy Modpack Files
; ================================================

  ; Copy lighting files
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\day\locations\Town_PoPrince\port
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\day\locations\Town_PoPrince\town
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\day\locations\Town_PoPrince\exit
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\day\locations\town_Conceicao\port\*.*		$INSTDIR\RESOURCE\Textures\lighting\day\locations\Town_PoPrince\port
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\day\locations\town_Conceicao\town\*.*		$INSTDIR\RESOURCE\Textures\lighting\day\locations\Town_PoPrince\town
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\day\locations\town_Conceicao\exit\*.*		$INSTDIR\RESOURCE\Textures\lighting\day\locations\Town_PoPrince\exit

  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\evening\locations\Town_PoPrince\port
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\evening\locations\Town_PoPrince\town
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\evening\locations\Town_PoPrince\exit
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\evening\locations\town_Conceicao\port\*.*	$INSTDIR\RESOURCE\Textures\lighting\evening\locations\Town_PoPrince\port
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\evening\locations\town_Conceicao\town\*.*	$INSTDIR\RESOURCE\Textures\lighting\evening\locations\Town_PoPrince\town
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\evening\locations\town_Conceicao\exit\*.*	$INSTDIR\RESOURCE\Textures\lighting\evening\locations\Town_PoPrince\exit

  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\mn\locations\Town_PoPrince\port
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\mn\locations\Town_PoPrince\town
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\mn\locations\Town_PoPrince\exit
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\mn\locations\town_Conceicao\port\*.*		$INSTDIR\RESOURCE\Textures\lighting\mn\locations\Town_PoPrince\port
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\mn\locations\town_Conceicao\town\*.*		$INSTDIR\RESOURCE\Textures\lighting\mn\locations\Town_PoPrince\town
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\mn\locations\town_Conceicao\exit\*.*		$INSTDIR\RESOURCE\Textures\lighting\mn\locations\Town_PoPrince\exit

  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\storm\locations\Town_PoPrince\port
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\storm\locations\Town_PoPrince\town
  CreateDirectory $INSTDIR\RESOURCE\Textures\lighting\storm\locations\Town_PoPrince\exit
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\storm\locations\town_Conceicao\port\*.*		$INSTDIR\RESOURCE\Textures\lighting\storm\locations\Town_PoPrince\port
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\storm\locations\town_Conceicao\town\*.*		$INSTDIR\RESOURCE\Textures\lighting\storm\locations\Town_PoPrince\town
  CopyFiles /SILENT $INSTDIR\RESOURCE\Textures\lighting\storm\locations\town_Conceicao\exit\*.*		$INSTDIR\RESOURCE\Textures\lighting\storm\locations\Town_PoPrince\exit

  ; Copy location files
  CreateDirectory $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\DECKBIG_DAY1.COL			$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\DECKBIG_DAY1.COL
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\DECKBIG_EVENING3.COL		$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\DECKBIG_EVENING3.COL
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\deckBig_fd.gm			$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\deckBig_fd.gm
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\DECKBIG_FD_DAY1.COL		$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\DECKBIG_FD_DAY1.COL
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\deckBig_fn.gm			$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\deckBig_fn.gm
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\DECKBIG_FN_NIGHT1.COL		$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\DECKBIG_FN_NIGHT1.COL
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\deckBig_l.gm			$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\deckBig_l.gm
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\deckBig_ld.gm			$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\deckBig_ld.gm
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\DECKBIG_LD_DAY1.COL		$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\DECKBIG_LD_DAY1.COL
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\DECKBIG_MORNING1.COL		$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\DECKBIG_MORNING1.COL
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\DECKBIG_NIGHT1.COL			$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\DECKBIG_NIGHT1.COL
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Locations\decks\deckBig\deckBig_p.ptc			$INSTDIR\RESOURCE\MODELS\Locations\decks\deckBP\deckBig_p.ptc
  CopyFiles /SILENT $INSTDIR\RESOURCE\MODELS\Ships\SP_Galeon50\*.*					$INSTDIR\RESOURCE\MODELS\Locations\Outside\Shore_5

  ; Copy ship texture files
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\bortouttartane3.tga.tx 				$INSTDIR\resource\textures\bortouttartane3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\cabin2.tga.tx 					$INSTDIR\resource\textures\cabin2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\capmd.tga.tx 					$INSTDIR\resource\textures\capmd.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\Capsm.tga.tx 					$INSTDIR\resource\textures\Capsm.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\chear1c.tga.tx 					$INSTDIR\resource\textures\chear1c.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\checker.tga.tx 					$INSTDIR\resource\textures\checker.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\de04.tga.tx 					$INSTDIR\resource\textures\de04.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\deck.tga.tx 					$INSTDIR\resource\textures\deck.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\derevo.tga.tx 					$INSTDIR\resource\textures\derevo.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\desk.tga.tx 					$INSTDIR\resource\textures\desk.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\doorLH.tga.tx 					$INSTDIR\resource\textures\doorLH.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\fightdeck4.tga.tx 					$INSTDIR\resource\textures\fightdeck4.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\fonar_day.tga.tx					$INSTDIR\resource\textures\fonar_day.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\fonar_night.tga.tx 				$INSTDIR\resource\textures\fonar_night.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\galeonskin3_50.tga.tx 				$INSTDIR\resource\textures\galeonskin3_50.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\gunU1.tga.tx 					$INSTDIR\resource\textures\gunU1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\gunU5.tga.tx 					$INSTDIR\resource\textures\gunU5.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\itemsLSC.tga.tx 					$INSTDIR\resource\textures\itemsLSC.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\Kapitan.tga.tx 					$INSTDIR\resource\textures\Kapitan.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\lampK3.tga.tx 					$INSTDIR\resource\textures\lampK3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\metalU2.tga.tx 					$INSTDIR\resource\textures\metalU2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\metalU4.tga.tx					$INSTDIR\resource\textures\metalU4.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\metalU5.tga.tx					$INSTDIR\resource\textures\metalU5.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\objects_tex1.tga.tx				$INSTDIR\resource\textures\objects_tex1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\ropeJR.tga.tx					$INSTDIR\resource\textures\ropeJR.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\ropeU1.tga.tx 					$INSTDIR\resource\textures\ropeU1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\woodOldJR.tga.tx 					$INSTDIR\resource\textures\woodOldJR.tga.tx

  CopyFiles /SILENT $INSTDIR\resource\textures\Foudation_Win_Door.tga.tx 				$INSTDIR\resource\textures\Ships\Foudation_Win_Door.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Items.tga.tx 						$INSTDIR\resource\textures\Ships\Items.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\lowmen.tga.tx 						$INSTDIR\resource\textures\Ships\lowmen.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\metall.tga.tx 						$INSTDIR\resource\textures\Ships\metall.tga.tx

  ; Copy BuildingSet texture files
  CopyFiles /SILENT $INSTDIR\resource\textures\ANIMALS\LIZARD.TGA.tx					$INSTDIR\resource\textures\CHARACTERS\LIZARD.TGA.tx

  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\objects_tex2.tga.tx 				$INSTDIR\resource\textures\objects_tex2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\cabin2.tga.tx 					$INSTDIR\resource\textures\Ammo\cabin2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\dec1.tga.tx 					$INSTDIR\resource\textures\Ammo\dec1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\deck.tga.tx 					$INSTDIR\resource\textures\Ammo\deck.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\dekk.tga.tx 					$INSTDIR\resource\textures\Ammo\dekk.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\langang.tga.tx 					$INSTDIR\resource\textures\Ammo\langang.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\objects_tex1.tga.tx 				$INSTDIR\resource\textures\Ammo\objects_tex1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\objects_tex2.tga.tx 				$INSTDIR\resource\textures\Ammo\objects_tex2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\ropeU1.tga.tx 					$INSTDIR\resource\textures\Ammo\ropeU1.tga.tx

  CopyFiles /SILENT "$INSTDIR\resource\textures\brck48L copy.tga.tx"					"$INSTDIR\resource\textures\Ammo\brck48L copy.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff copy.tga.tx"					"$INSTDIR\resource\textures\Ammo\sib_stuff copy.tga.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\1grass1.tga.tx						$INSTDIR\resource\textures\Ammo\1grass1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\4000183.tga.tx 						$INSTDIR\resource\textures\Ammo\4000183.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\4001630.tga.tx 						$INSTDIR\resource\textures\Ammo\4001630.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\4001938.tga.tx 						$INSTDIR\resource\textures\Ammo\4001938.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\anchor.tga.tx 						$INSTDIR\resource\textures\Ammo\anchor.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\axe.tga.tx						$INSTDIR\resource\textures\Ammo\axe.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back_mountains.tga.tx					$INSTDIR\resource\textures\Ammo\back_mountains.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\balkU2.tga.tx						$INSTDIR\resource\textures\Ammo\balkU2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Bardel.tga.tx						$INSTDIR\resource\textures\Ammo\Bardel.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Barracks.tga.tx						$INSTDIR\resource\textures\Ammo\Barracks.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\bd1.tga.tx						$INSTDIR\resource\textures\Ammo\bd1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\boat.tga.tx						$INSTDIR\resource\textures\Ammo\boat.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\brdg.tga.tx						$INSTDIR\resource\textures\Ammo\brdg.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\bump_city.tga.tx						$INSTDIR\resource\textures\Ammo\bump_city.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BUMP_LAND.TGA.tx						$INSTDIR\resource\textures\Ammo\BUMP_LAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Button_lv3.tga.tx					$INSTDIR\resource\textures\Ammo\Button_lv3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\cabinet1c.tga.tx						$INSTDIR\resource\textures\Ammo\cabinet1c.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Cann3.tga.tx						$INSTDIR\resource\textures\Ammo\Cann3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Cann4.tga.tx						$INSTDIR\resource\textures\Ammo\Cann4.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\cave_3.tga.tx						$INSTDIR\resource\textures\Ammo\cave_3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\checker.tga.tx						$INSTDIR\resource\textures\Ammo\checker.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\church1.tga.tx						$INSTDIR\resource\textures\Ammo\church1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\church1Dam.tga.tx					$INSTDIR\resource\textures\Ammo\church1Dam.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CITY_RADMOND.TGA.tx					$INSTDIR\resource\textures\Ammo\CITY_RADMOND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\common1_1.tga.tx						$INSTDIR\resource\textures\Ammo\common1_1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\dec2.tga.tx						$INSTDIR\resource\textures\Ammo\dec2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\derevo.tga.tx						$INSTDIR\resource\textures\Ammo\derevo.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\detailWoodU1.tga.tx					$INSTDIR\resource\textures\Ammo\detailWoodU1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\dfrigate.tga.tx						$INSTDIR\resource\textures\Ammo\dfrigate.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\dirtK2.tga.tx						$INSTDIR\resource\textures\Ammo\dirtK2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\divider1c.tga.tx						$INSTDIR\resource\textures\Ammo\divider1c.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\doorLH.tga.tx						$INSTDIR\resource\textures\Ammo\doorLH.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\DoorSklad.tga.tx						$INSTDIR\resource\textures\Ammo\DoorSklad.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\doorU1.tga.tx						$INSTDIR\resource\textures\Ammo\doorU1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\dorme.tga.tx						$INSTDIR\resource\textures\Ammo\dorme.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\duck.tga.tx						$INSTDIR\resource\textures\Ammo\duck.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\en2.tga.tx						$INSTDIR\resource\textures\Ammo\en2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\eng_palace.tga.tx					$INSTDIR\resource\textures\Ammo\eng_palace.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx			$INSTDIR\resource\textures\Ammo\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ferns.tga.tx						$INSTDIR\resource\textures\Ammo\Ferns.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\feuille.tga.tx						$INSTDIR\resource\textures\Ammo\feuille.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ffpw.tga.tx						$INSTDIR\resource\textures\Ammo\ffpw.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flaman_House.tga.tx					$INSTDIR\resource\textures\Ammo\Flaman_House.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FontainTex1.tga.tx					$INSTDIR\resource\textures\Ammo\FontainTex1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Foudation_Win_Door.tga.tx 				$INSTDIR\resource\textures\Ammo\Foudation_Win_Door.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Frying_p.tga.tx						$INSTDIR\resource\textures\Ammo\Frying_p.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GOVNO.TGA.tx						$INSTDIR\resource\textures\Ammo\GOVNO.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GRASSGREEN1.TGA.tx					$INSTDIR\resource\textures\Ammo\GRASSGREEN1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GridsLSCInsides.tga.tx					$INSTDIR\resource\textures\Ammo\GridsLSCInsides.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\gunU5.tga.tx						$INSTDIR\resource\textures\Ammo\gunU5.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\House_Fra07.tga.tx					$INSTDIR\resource\textures\Ammo\House_Fra07.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\hut3.tga.tx						$INSTDIR\resource\textures\Ammo\hut3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IRONAMENT.TGA.tx						$INSTDIR\resource\textures\Ammo\IRONAMENT.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Items.tga.tx 						$INSTDIR\resource\textures\Ammo\Items.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\itemsLS2.tga.tx						$INSTDIR\resource\textures\Ammo\itemsLS2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\jungle1.tga.tx						$INSTDIR\resource\textures\Ammo\jungle1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\jungleU2.tga.tx						$INSTDIR\resource\textures\Ammo\jungleU2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\keysim.tga.tx						$INSTDIR\resource\textures\Ammo\keysim.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kocher.tga.tx						$INSTDIR\resource\textures\Ammo\kocher.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\LEAFPALMS.TGA.tx						$INSTDIR\resource\textures\Ammo\LEAFPALMS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\lvbas.tga.tx						$INSTDIR\resource\textures\Ammo\lvbas.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\mahs051.tga.tx						$INSTDIR\resource\textures\Ammo\mahs051.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\map3c.tga.tx						$INSTDIR\resource\textures\Ammo\map3c.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\mastsU1.tga.tx						$INSTDIR\resource\textures\Ammo\mastsU1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\MAYAK_PESOK01.TGA.tx					$INSTDIR\resource\textures\Ammo\MAYAK_PESOK01.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\MAYAK_PESOK02.TGA.tx					$INSTDIR\resource\textures\Ammo\MAYAK_PESOK02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\mayak01.tga.tx						$INSTDIR\resource\textures\Ammo\mayak01.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ME0.tga.tx						$INSTDIR\resource\textures\Ammo\ME0.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\metall.tga.tx 						$INSTDIR\resource\textures\Ammo\metall.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\N02b04.tga.tx						$INSTDIR\resource\textures\Ammo\N02b04.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\NavalCollege.tga.tx					$INSTDIR\resource\textures\Ammo\NavalCollege.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\objects_tex2.tga.tx					$INSTDIR\resource\textures\Ammo\objects_tex2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\objects_tex2.tga.tx					$INSTDIR\resource\textures\Ammo\objects_tex2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\objects_tex3.tga.tx					$INSTDIR\resource\textures\Ammo\objects_tex3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_brick.tga.tx					$INSTDIR\resource\textures\Ammo\oxbay_brick.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\planks.tga.tx						$INSTDIR\resource\textures\Ammo\planks.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\PORTUGAL_CHURCHE_TH.TGA.tx				$INSTDIR\resource\textures\Ammo\PORTUGAL_CHURCHE_TH.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Rammr.tga.tx						$INSTDIR\resource\textures\Ammo\Rammr.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Residence_5_inside.tga.tx				$INSTDIR\resource\textures\Ammo\Residence_5_inside.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\residence2_wd4.tga.tx					$INSTDIR\resource\textures\Ammo\residence2_wd4.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\residence2_wd6.tga.tx					$INSTDIR\resource\textures\Ammo\residence2_wd6.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\rockK4.tga.tx						$INSTDIR\resource\textures\Ammo\rockK4.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Roof_All.tga.tx						$INSTDIR\resource\textures\Ammo\Roof_All.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ropJRH.tga.tx						$INSTDIR\resource\textures\Ammo\ropJRH.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\rsd_1.tga.tx						$INSTDIR\resource\textures\Ammo\rsd_1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\sailDeckU1.tga.tx					$INSTDIR\resource\textures\Ammo\sailDeckU1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ShipDCLSU2.tga.tx					$INSTDIR\resource\textures\Ammo\ShipDCLSU2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ShipDCLSU3.tga.tx					$INSTDIR\resource\textures\Ammo\ShipDCLSU3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ShipNCLSU1.tga.tx					$INSTDIR\resource\textures\Ammo\ShipNCLSU1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ShipNCLSU2.tga.tx					$INSTDIR\resource\textures\Ammo\ShipNCLSU2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ShipNCLSU3.tga.tx					$INSTDIR\resource\textures\Ammo\ShipNCLSU3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Shipyard1.tga.tx						$INSTDIR\resource\textures\Ammo\Shipyard1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\sib_jun_hos.tga.tx					$INSTDIR\resource\textures\Ammo\sib_jun_hos.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SKALA_JUNGLE.TGA.tx					$INSTDIR\resource\textures\Ammo\SKALA_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle1.tga.tx					$INSTDIR\resource\textures\Ammo\skala_jungle1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Skel2.tga.tx						$INSTDIR\resource\textures\Ammo\Skel2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spain_pesok.tga.tx					$INSTDIR\resource\textures\Ammo\spain_pesok.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SQUERE_256.TGA.tx					$INSTDIR\resource\textures\Ammo\SQUERE_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\StoneH1.tga.tx						$INSTDIR\resource\textures\Ammo\StoneH1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\t_house_01.tga.tx					$INSTDIR\resource\textures\Ammo\t_house_01.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\t_house_02.tga.tx					$INSTDIR\resource\textures\Ammo\t_house_02.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\town_objects_tex1.tga.tx					$INSTDIR\resource\textures\Ammo\town_objects_tex1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Town_Stuff.tga.tx					$INSTDIR\resource\textures\Ammo\Town_Stuff.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\treePalms.tga.tx						$INSTDIR\resource\textures\Ammo\treePalms.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TROPA256.TGA.tx						$INSTDIR\resource\textures\Ammo\TROPA256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WALK_256.TGA.tx						$INSTDIR\resource\textures\Ammo\WALK_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WALKL_256.TGA.tx						$INSTDIR\resource\textures\Ammo\WALKL_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WALKR_256.TGA.tx						$INSTDIR\resource\textures\Ammo\WALKR_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WALL_1_512.TGA.tx					$INSTDIR\resource\textures\Ammo\WALL_1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WALL_2_512.TGA.tx					$INSTDIR\resource\textures\Ammo\WALL_2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_list_01.tga.tx					$INSTDIR\resource\textures\Ammo\wall_list_01.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_list_fra_01.tga.tx					$INSTDIR\resource\textures\Ammo\wall_list_fra_01.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WareHouse.tga.tx						$INSTDIR\resource\textures\Ammo\WareHouse.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Weapon_Set_1.tga.tx					$INSTDIR\resource\textures\Ammo\Weapon_Set_1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\windbardel.tga.tx					$INSTDIR\resource\textures\Ammo\windbardel.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\windbrothel.tga.tx					$INSTDIR\resource\textures\Ammo\windbrothel.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Windmill.tga.tx						$INSTDIR\resource\textures\Ammo\Windmill.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WindmillDam.tga.tx					$INSTDIR\resource\textures\Ammo\WindmillDam.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WindmillFan.tga.tx					$INSTDIR\resource\textures\Ammo\WindmillFan.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wood_all.tga.tx						$INSTDIR\resource\textures\Ammo\wood_all.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\woodburn.tga.tx						$INSTDIR\resource\textures\Ammo\woodburn.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\woodOldU1.tga.tx						$INSTDIR\resource\textures\Ammo\woodOldU1.tga.tx

  ; Copy Item texture files
  CopyFiles /SILENT $INSTDIR\resource\textures\keysim.tga.tx 						$INSTDIR\resource\textures\Items\keysim.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\map3c.tga.tx 						$INSTDIR\resource\textures\Items\map3c.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ropJRH.tga.tx 						$INSTDIR\resource\textures\Items\ropJRH.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\town_objects_tex1.tga.tx 				$INSTDIR\resource\textures\Items\town_objects_tex1.tga.tx

  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\bla641.tga.tx 					$INSTDIR\resource\textures\Items\bla641.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\fish_01.tga.tx 					$INSTDIR\resource\textures\Items\fish_01.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\itemsLSC.tga.tx 					$INSTDIR\resource\textures\Items\itemsLSC.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\mdch_F1.tga.tx 					$INSTDIR\resource\textures\Items\mdch_F1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\mdch_F2.tga.tx 					$INSTDIR\resource\textures\Items\mdch_F2.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\mdch_F4.tga.tx 					$INSTDIR\resource\textures\Items\mdch_F4.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\mgphone.tga.tx 					$INSTDIR\resource\textures\Items\mgphone.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\musket.tga.tx 					$INSTDIR\resource\textures\Items\musket.tga.tx
  CopyFiles /SILENT "$INSTDIR\resource\textures\Ammo\sib_stuff food.tga.tx"				"$INSTDIR\resource\textures\Items\sib_stuff food.tga.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\spygla5.tga.tx 					$INSTDIR\resource\textures\Items\spygla5.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ammo\surgkit.tga.tx					$INSTDIR\resource\textures\Items\surgkit.tga.tx

  ; Copy location texture files
  CopyFiles /SILENT $INSTDIR\resource\textures\cap_deck_glass.tga.tx 					$INSTDIR\resource\textures\Locations\decks\BlackPearl\cap_deck_glass.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\stones2.tga.tx 						$INSTDIR\resource\textures\Locations\decks\BlackPearl\stones2.tga.tx

  CopyFiles /SILENT "$INSTDIR\resource\textures\BRCK48L COPY.TGA.tx" 					"$INSTDIR\resource\textures\Locations\ENGLAND\BRCK48L COPY.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\Grass022 copy.TGA.tx" 					"$INSTDIR\resource\textures\Locations\ENGLAND\Grass022 copy.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop0.tga.tx"					"$INSTDIR\resource\textures\Locations\ENGLAND\sib_stuff cop0.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop2.tga.tx"					"$INSTDIR\resource\textures\Locations\ENGLAND\sib_stuff cop2.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff copy.tga.tx"					"$INSTDIR\resource\textures\Locations\ENGLAND\sib_stuff copy.tga.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\back_JUNGLE.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\back_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back_MOUNTAINS.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\back_MOUNTAINS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BACK_PLANTS.TGA.tx					$INSTDIR\resource\textures\Locations\ENGLAND\BACK_PLANTS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back4.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\back4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back6.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\back6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BARRACKS.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\BARRACKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BORTOUTTARTANE1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\BORTOUTTARTANE1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BUMP_LAND.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\BUMP_LAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\church.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\church.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CONCEISAO_ROCKS.TGA.tx					$INSTDIR\resource\textures\Locations\ENGLAND\CONCEISAO_ROCKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL3_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\CORALL3_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL5_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\CORALL5_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\DECK.tga.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\DECK.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\dutch_palace.tga.tx					$INSTDIR\resource\textures\Locations\ENGLAND\dutch_palace.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\eng_palace.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\eng_palace.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Eng_Signs.tga.tx						$INSTDIR\resource\textures\Locations\ENGLAND\Eng_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx 			$INSTDIR\resource\textures\Locations\ENGLAND\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx 			$INSTDIR\resource\textures\Locations\ENGLAND\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Falaise_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Falaise_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\FalDeFL_P0.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0_02.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\FalDeFL_P0_02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\FalDeFL_P1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP_SAND.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\FFP_SAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP2ROCK.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\FFP2ROCK.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Flore1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore11.tga.tx						$INSTDIR\resource\textures\Locations\ENGLAND\Flore11.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Flore2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore3a_512.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Flore3a_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore4_512.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Flore4_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\fonar.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_day.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\fonar_day.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_night.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\fonar_night.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_noactive.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\fonar_noactive.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_other.TGA.tx 				$INSTDIR\resource\textures\Locations\ENGLAND\fort_inside_other.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_stuff.TGA.tx 				$INSTDIR\resource\textures\Locations\ENGLAND\fort_inside_stuff.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Foudation_Win_Door.TGA.tx 				$INSTDIR\resource\textures\Locations\ENGLAND\Foudation_Win_Door.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Fra_Signs.tga.tx						$INSTDIR\resource\textures\Locations\ENGLAND\Fra_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\govno.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\govno.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grassgreen1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\grassgreen1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\gray.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\gray.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\greenf.tga.tx						$INSTDIR\resource\textures\Locations\ENGLAND\greenf.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GREENF.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\GREENF.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grey.TGA.tx						$INSTDIR\resource\textures\Locations\ENGLAND\grey.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Hisp_Signs.tga.tx					$INSTDIR\resource\textures\Locations\ENGLAND\Hisp_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IRONAMENT.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\IRONAMENT.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_4_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Isla_Muelle_4_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Isla_Muelle_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IslaMuelle_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\IslaMuelle_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\Island.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_all_sm.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Island_all_sm.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_conceicao.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Island_conceicao.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Falaise_de_Fleur.TGA.tx 				$INSTDIR\resource\textures\Locations\ENGLAND\Island_Falaise_de_Fleur.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Gaity.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Island_Gaity.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Island_Khael_Roa.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa_incas.TGA.tx 				$INSTDIR\resource\textures\Locations\ENGLAND\Island_Khael_Roa_incas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Oxbay.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Island_Oxbay.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla2.TGA.tx 			$INSTDIR\resource\textures\Locations\ENGLAND\Island_Quebralas_Costilla2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla3.TGA.tx 			$INSTDIR\resource\textures\Locations\ENGLAND\Island_Quebralas_Costilla3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costillas.TGA.tx 			$INSTDIR\resource\textures\Locations\ENGLAND\Island_Quebralas_Costillas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Redmond.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Island_Redmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ITEMS.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\ITEMS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\KhaelRoa_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\KhaelRoa_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\kora.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_1.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\kora_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_2.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\kora_2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_3.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\kora_3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_4.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\kora_4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\leafPalms.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\leafPalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\Leaves.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves1.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\Leaves1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\MAYAK01.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\MAYAK01.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\NAVALCOLLEGE.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\NAVALCOLLEGE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\New_Mountain.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\New_Mountain.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_brick.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\oxbay_brick.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\oxbay_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_rocks.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\oxbay_rocks.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_tile.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\oxbay_tile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Port_Radmond.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Port_Radmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Portugal_Churche_th.TGA.tx 				$INSTDIR\resource\textures\Locations\ENGLAND\Portugal_Churche_th.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\River.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_Caustik.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\River_Caustik.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\River_top.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\River_top1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River1.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\River1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RIVER2.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\RIVER2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\rockground1.tga.tx					$INSTDIR\resource\textures\Locations\ENGLAND\rockground1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_D_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Sand_D_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SAND_D_256_SVET.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\SAND_D_256_SVET.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Sand_L_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256_svet.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Sand_L_256_svet.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L1_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Sand_L1_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SandGrassR1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\SandGrassR1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandground2.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\Sandground2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandtile.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\Sandtile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\seaTile.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\seaTile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SHIPYARD3.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\SHIPYARD3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SIB_JUN_HOS.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\SIB_JUN_HOS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SKALA_JUNGLE.TGA.tx					$INSTDIR\resource\textures\Locations\ENGLAND\SKALA_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\skala_jungle1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle2.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\skala_jungle2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle3.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\skala_jungle3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle6.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\skala_jungle6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle8.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\skala_jungle8.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungleDEX.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\skala_jungleDEX.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spa_palace1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\spa_palace1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spain_pesok.tga.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\spain_pesok.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SQUERE_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\SQUERE_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\STONES1.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\STONES1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\Tree.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree1.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\Tree1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\treePalms.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\treePalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Trees.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\Trees.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TROPA256.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\TROPA256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\tropa256_1.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\tropa256_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walk_256.TGA.tx 						$INSTDIR\resource\textures\Locations\ENGLAND\walk_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkL_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\walkL_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkR_256.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\walkR_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\wall_1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\wall_2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WAREHOUSE.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\WAREHOUSE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\WaterFall.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall2.TGA.tx 					$INSTDIR\resource\textures\Locations\ENGLAND\WaterFall2.TGA.tx

  CopyFiles /SILENT "$INSTDIR\resource\textures\BRCK48L COPY.TGA.tx" 					"$INSTDIR\resource\textures\Locations\FRANCE\BRCK48L COPY.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\Grass022 copy.TGA.tx" 					"$INSTDIR\resource\textures\Locations\FRANCE\Grass022 copy.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop0.tga.tx"					"$INSTDIR\resource\textures\Locations\FRANCE\sib_stuff cop0.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop2.tga.tx"					"$INSTDIR\resource\textures\Locations\FRANCE\sib_stuff cop2.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff copy.tga.tx"					"$INSTDIR\resource\textures\Locations\FRANCE\sib_stuff copy.tga.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\back_JUNGLE.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\back_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back_MOUNTAINS.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\back_MOUNTAINS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BACK_PLANTS.TGA.tx					$INSTDIR\resource\textures\Locations\FRANCE\BACK_PLANTS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back4.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\back4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back6.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\back6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BARRACKS.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\BARRACKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BORTOUTTARTANE1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\BORTOUTTARTANE1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BUMP_LAND.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\BUMP_LAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\church.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\church.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\City_Radmond.tga.tx					$INSTDIR\resource\textures\Locations\FRANCE\City_Radmond.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CONCEISAO_ROCKS.TGA.tx					$INSTDIR\resource\textures\Locations\FRANCE\CONCEISAO_ROCKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL3_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\CORALL3_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL5_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\CORALL5_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\DECK.tga.tx 						$INSTDIR\resource\textures\Locations\FRANCE\DECK.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\dutch_palace.tga.tx					$INSTDIR\resource\textures\Locations\FRANCE\dutch_palace.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\eng_palace.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\eng_palace.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx 			$INSTDIR\resource\textures\Locations\FRANCE\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx 			$INSTDIR\resource\textures\Locations\FRANCE\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Falaise_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Falaise_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\FalDeFL_P0.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0_02.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\FalDeFL_P0_02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\FalDeFL_P1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP_SAND.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\FFP_SAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP2ROCK.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\FFP2ROCK.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ffpw.tga.tx 						$INSTDIR\resource\textures\Locations\FRANCE\ffpw.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Flore1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore11.tga.tx						$INSTDIR\resource\textures\Locations\FRANCE\Flore11.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Flore2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore3a_512.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Flore3a_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore4_512.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Flore4_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\fonar.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_day.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\fonar_day.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_night.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\fonar_night.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_noactive.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\fonar_noactive.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_other.TGA.tx 				$INSTDIR\resource\textures\Locations\FRANCE\fort_inside_other.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_stuff.TGA.tx 				$INSTDIR\resource\textures\Locations\FRANCE\fort_inside_stuff.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Foudation_Win_Door.TGA.tx 				$INSTDIR\resource\textures\Locations\FRANCE\Foudation_Win_Door.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Fra_Signs.tga.tx						$INSTDIR\resource\textures\Locations\FRANCE\Fra_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\govno.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\govno.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grassgreen1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\grassgreen1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\gray.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\gray.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\greenf.tga.tx						$INSTDIR\resource\textures\Locations\FRANCE\greenf.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GREENF.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\GREENF.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grey.TGA.tx						$INSTDIR\resource\textures\Locations\FRANCE\grey.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IRONAMENT.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\IRONAMENT.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_4_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Isla_Muelle_4_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Isla_Muelle_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IslaMuelle_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\IslaMuelle_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Island.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_all_sm.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Island_all_sm.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_conceicao.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Island_conceicao.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Falaise_de_Fleur.TGA.tx 				$INSTDIR\resource\textures\Locations\FRANCE\Island_Falaise_de_Fleur.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Gaity.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Island_Gaity.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Island_Khael_Roa.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa_incas.TGA.tx 				$INSTDIR\resource\textures\Locations\FRANCE\Island_Khael_Roa_incas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Oxbay.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Island_Oxbay.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla2.TGA.tx 			$INSTDIR\resource\textures\Locations\FRANCE\Island_Quebralas_Costilla2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla3.TGA.tx 			$INSTDIR\resource\textures\Locations\FRANCE\Island_Quebralas_Costilla3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costillas.TGA.tx 			$INSTDIR\resource\textures\Locations\FRANCE\Island_Quebralas_Costillas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Redmond.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Island_Redmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ITEMS.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\ITEMS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\KhaelRoa_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\KhaelRoa_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\kora.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_1.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\kora_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_2.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\kora_2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_3.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\kora_3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_4.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\kora_4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\leafPalms.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\leafPalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Leaves.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves1.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Leaves1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\MAYAK01.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\MAYAK01.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\NAVALCOLLEGE.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\NAVALCOLLEGE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\New_Mountain.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\New_Mountain.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_brick.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\oxbay_brick.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\oxbay_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_rocks.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\oxbay_rocks.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_tile.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\oxbay_tile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Port_Radmond.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Port_Radmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Portugal_Signs.tga.tx					$INSTDIR\resource\textures\Locations\FRANCE\Portugal_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\River.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_Caustik.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\River_Caustik.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\River_top.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\River_top1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River1.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\River1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RIVER2.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\RIVER2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\rockground1.tga.tx					$INSTDIR\resource\textures\Locations\FRANCE\rockground1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Roof_All.tga.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Roof_All.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_D_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Sand_D_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SAND_D_256_SVET.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\SAND_D_256_SVET.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Sand_L_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256_svet.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Sand_L_256_svet.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L1_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Sand_L1_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SandGrassR1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\SandGrassR1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandground2.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\Sandground2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandtile.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Sandtile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\seaTile.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\seaTile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SHIPYARD3.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\SHIPYARD3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SIB_JUN_HOS.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\SIB_JUN_HOS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SKALA_JUNGLE.TGA.tx					$INSTDIR\resource\textures\Locations\FRANCE\SKALA_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\skala_jungle1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle2.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\skala_jungle2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle3.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\skala_jungle3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle6.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\skala_jungle6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle8.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\skala_jungle8.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungleDEX.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\skala_jungleDEX.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spa_palace1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\spa_palace1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spain_pesok.tga.tx 					$INSTDIR\resource\textures\Locations\FRANCE\spain_pesok.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SQUERE_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\SQUERE_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\STONES1.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\STONES1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Tree.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree1.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Tree1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\treePalms.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\treePalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Trees.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\Trees.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TROPA256.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\TROPA256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\tropa256_1.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\tropa256_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walk_256.TGA.tx 						$INSTDIR\resource\textures\Locations\FRANCE\walk_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkL_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\walkL_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkR_256.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\walkR_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\wall_2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_list_spa_01.tga.tx					$INSTDIR\resource\textures\Locations\FRANCE\wall_list_spa_01.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WAREHOUSE.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\WAREHOUSE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\WaterFall.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall2.TGA.tx 					$INSTDIR\resource\textures\Locations\FRANCE\WaterFall2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wood_all.tga.tx 						$INSTDIR\resource\textures\Locations\FRANCE\wood_all.tga.tx

  CopyFiles /SILENT "$INSTDIR\resource\textures\BRCK48L COPY.TGA.tx" 					"$INSTDIR\resource\textures\Locations\HOLLAND\BRCK48L COPY.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\Grass022 copy.TGA.tx" 					"$INSTDIR\resource\textures\Locations\HOLLAND\Grass022 copy.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop0.tga.tx"					"$INSTDIR\resource\textures\Locations\HOLLAND\sib_stuff cop0.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop2.tga.tx"					"$INSTDIR\resource\textures\Locations\HOLLAND\sib_stuff cop2.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff copy.tga.tx"					"$INSTDIR\resource\textures\Locations\HOLLAND\sib_stuff copy.tga.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\back_JUNGLE.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\back_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back_MOUNTAINS.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\back_MOUNTAINS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BACK_PLANTS.TGA.tx					$INSTDIR\resource\textures\Locations\HOLLAND\BACK_PLANTS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back4.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\back4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back6.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\back6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BARRACKS.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\BARRACKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BORTOUTTARTANE1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\BORTOUTTARTANE1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BUMP_LAND.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\BUMP_LAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\church.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\church.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\City_Radmond.tga.tx					$INSTDIR\resource\textures\Locations\HOLLAND\City_Radmond.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CONCEISAO_ROCKS.TGA.tx					$INSTDIR\resource\textures\Locations\HOLLAND\CONCEISAO_ROCKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL3_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\CORALL3_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL5_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\CORALL5_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\DECK.tga.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\DECK.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\eng_palace.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\eng_palace.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Eng_Signs.tga.tx						$INSTDIR\resource\textures\Locations\HOLLAND\Eng_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx 			$INSTDIR\resource\textures\Locations\HOLLAND\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx 			$INSTDIR\resource\textures\Locations\HOLLAND\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Falaise_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Falaise_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\FalDeFL_P0.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0_02.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\FalDeFL_P0_02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\FalDeFL_P1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP_SAND.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\FFP_SAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP2ROCK.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\FFP2ROCK.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Flore1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Flore2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore3a_512.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Flore3a_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore4_512.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Flore4_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\fonar.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_day.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\fonar_day.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_night.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\fonar_night.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_noactive.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\fonar_noactive.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_other.TGA.tx 				$INSTDIR\resource\textures\Locations\HOLLAND\fort_inside_other.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_stuff.TGA.tx 				$INSTDIR\resource\textures\Locations\HOLLAND\fort_inside_stuff.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\govno.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\govno.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grassgreen1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\grassgreen1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\gray.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\gray.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\greenf.tga.tx						$INSTDIR\resource\textures\Locations\HOLLAND\greenf.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GREENF.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\GREENF.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grey.TGA.tx						$INSTDIR\resource\textures\Locations\HOLLAND\grey.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Hol_Signs.tga.tx						$INSTDIR\resource\textures\Locations\HOLLAND\Hol_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IRONAMENT.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\IRONAMENT.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_4_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Isla_Muelle_4_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Isla_Muelle_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IslaMuelle_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\IslaMuelle_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\Island.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_all_sm.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Island_all_sm.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_conceicao.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Island_conceicao.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Falaise_de_Fleur.TGA.tx 				$INSTDIR\resource\textures\Locations\HOLLAND\Island_Falaise_de_Fleur.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Gaity.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Island_Gaity.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Island_Khael_Roa.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa_incas.TGA.tx 				$INSTDIR\resource\textures\Locations\HOLLAND\Island_Khael_Roa_incas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Oxbay.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Island_Oxbay.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla2.TGA.tx 			$INSTDIR\resource\textures\Locations\HOLLAND\Island_Quebralas_Costilla2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla3.TGA.tx 			$INSTDIR\resource\textures\Locations\HOLLAND\Island_Quebralas_Costilla3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costillas.TGA.tx 			$INSTDIR\resource\textures\Locations\HOLLAND\Island_Quebralas_Costillas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Redmond.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Island_Redmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ITEMS.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\ITEMS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\KhaelRoa_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\KhaelRoa_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\kora.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_1.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\kora_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_2.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\kora_2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_3.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\kora_3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_4.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\kora_4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\leafPalms.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\leafPalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\Leaves.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves1.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\Leaves1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\MAYAK01.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\MAYAK01.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\NAVALCOLLEGE.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\NAVALCOLLEGE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\New_Mountain.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\New_Mountain.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_brick.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\oxbay_brick.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\oxbay_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_rocks.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\oxbay_rocks.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_tile.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\oxbay_tile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Port_Radmond.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Port_Radmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\River.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_Caustik.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\River_Caustik.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\River_top.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\River_top1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River1.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\River1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RIVER2.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\RIVER2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\rockground1.tga.tx					$INSTDIR\resource\textures\Locations\HOLLAND\rockground1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_D_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Sand_D_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SAND_D_256_SVET.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\SAND_D_256_SVET.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Sand_L_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256_svet.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Sand_L_256_svet.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L1_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Sand_L1_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SandGrassR1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\SandGrassR1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandground2.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\Sandground2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandtile.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\Sandtile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\seaTile.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\seaTile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SHIPYARD3.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\SHIPYARD3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SIB_JUN_HOS.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\SIB_JUN_HOS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SKALA_JUNGLE.TGA.tx					$INSTDIR\resource\textures\Locations\HOLLAND\SKALA_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\skala_jungle1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle2.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\skala_jungle2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle3.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\skala_jungle3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle6.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\skala_jungle6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle8.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\skala_jungle8.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungleDEX.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\skala_jungleDEX.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spa_palace1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\spa_palace1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spain_pesok.tga.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\spain_pesok.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SQUERE_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\SQUERE_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\STONES1.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\STONES1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\Tree.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree1.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\Tree1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\treePalms.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\treePalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Trees.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\Trees.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TROPA256.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\TROPA256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\tropa256_1.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\tropa256_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walk_256.TGA.tx 						$INSTDIR\resource\textures\Locations\HOLLAND\walk_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkL_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\walkL_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkR_256.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\walkR_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\wall_1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\wall_2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WAREHOUSE.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\WAREHOUSE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\WaterFall.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall2.TGA.tx 					$INSTDIR\resource\textures\Locations\HOLLAND\WaterFall2.TGA.tx

  CopyFiles /SILENT $INSTDIR\resource\textures\back_jungle.tga.tx					$INSTDIR\resource\textures\Locations\JUNGLES\back_jungle.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back_mountains.tga.tx					$INSTDIR\resource\textures\Locations\JUNGLES\back_mountains.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back_plants.tga.tx					$INSTDIR\resource\textures\Locations\JUNGLES\back_plants.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\bump_land.tga.tx       					$INSTDIR\resource\textures\Locations\JUNGLES\bump_land.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grassgreen1.tga.tx					$INSTDIR\resource\textures\Locations\JUNGLES\grassgreen1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\leafPalms.tga.tx       					$INSTDIR\resource\textures\Locations\JUNGLES\leafPalms.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle1.tga.tx					$INSTDIR\resource\textures\Locations\JUNGLES\skala_jungle1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle6.tga.tx					$INSTDIR\resource\textures\Locations\JUNGLES\skala_jungle6.tga.tx

  CopyFiles /SILENT "$INSTDIR\resource\textures\BRCK48L COPY.TGA.tx" 					"$INSTDIR\resource\textures\Locations\NATIVES\BRCK48L COPY.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\Grass022 copy.TGA.tx" 					"$INSTDIR\resource\textures\Locations\NATIVES\Grass022 copy.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop0.tga.tx"					"$INSTDIR\resource\textures\Locations\NATIVES\sib_stuff cop0.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop2.tga.tx"					"$INSTDIR\resource\textures\Locations\NATIVES\sib_stuff cop2.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff copy.tga.tx"					"$INSTDIR\resource\textures\Locations\NATIVES\sib_stuff copy.tga.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\back_JUNGLE.TGA.tx 					"$INSTDIR\resource\textures\Locations\NATIVES\back_JUNGLE.TGA.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\back_MOUNTAINS.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\back_MOUNTAINS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BACK_PLANTS.TGA.tx					$INSTDIR\resource\textures\Locations\NATIVES\BACK_PLANTS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back4.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\back4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back6.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\back6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BARRACKS.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\BARRACKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BORTOUTTARTANE1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\BORTOUTTARTANE1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BUMP_LAND.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\BUMP_LAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Cave3.tga.tx             				$INSTDIR\resource\textures\Locations\NATIVES\Cave3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\church.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\church.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\City_Radmond.tga.tx            				$INSTDIR\resource\textures\Locations\NATIVES\City_Radmond.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CONCEISAO_ROCKS.TGA.tx					$INSTDIR\resource\textures\Locations\NATIVES\CONCEISAO_ROCKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL3_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\CORALL3_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL5_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\CORALL5_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\DECK.tga.tx 						$INSTDIR\resource\textures\Locations\NATIVES\DECK.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\eng_palace.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\eng_palace.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx 			$INSTDIR\resource\textures\Locations\NATIVES\FALAISE_DE_FLEUR_TH_PALACE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx 			$INSTDIR\resource\textures\Locations\NATIVES\FALAISE_DE_FLEUR_TH_PALACE02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Falaise_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Falaise_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\FalDeFL_P0.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0_02.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\FalDeFL_P0_02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\FalDeFL_P1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP_SAND.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\FFP_SAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP2ROCK.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\FFP2ROCK.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ffpw.tga.tx                                 		$INSTDIR\resource\textures\Locations\NATIVES\ffpw.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Flore1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore11.tga.tx						$INSTDIR\resource\textures\Locations\NATIVES\Flore11.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Flore2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore3a_512.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Flore3a_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore4_512.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Flore4_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\fonar.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_day.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\fonar_day.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_night.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\fonar_night.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_noactive.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\fonar_noactive.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_other.TGA.tx 				$INSTDIR\resource\textures\Locations\NATIVES\fort_inside_other.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_stuff.TGA.tx 				$INSTDIR\resource\textures\Locations\NATIVES\fort_inside_stuff.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Foudation_Win_Door.TGA.tx 				$INSTDIR\resource\textures\Locations\NATIVES\Foudation_Win_Door.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\govno.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\govno.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grassgreen1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\grassgreen1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\gray.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\gray.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\greenf.tga.tx						$INSTDIR\resource\textures\Locations\NATIVES\greenf.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GREENF.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\GREENF.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grey.TGA.tx						$INSTDIR\resource\textures\Locations\NATIVES\grey.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IRONAMENT.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\IRONAMENT.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_4_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Isla_Muelle_4_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Isla_Muelle_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IslaMuelle_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\IslaMuelle_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\Island.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_all_sm.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Island_all_sm.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_conceicao.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Island_conceicao.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Falaise_de_Fleur.TGA.tx 				$INSTDIR\resource\textures\Locations\NATIVES\Island_Falaise_de_Fleur.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Gaity.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Island_Gaity.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Island_Khael_Roa.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa_incas.TGA.tx 				$INSTDIR\resource\textures\Locations\NATIVES\Island_Khael_Roa_incas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Oxbay.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Island_Oxbay.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla2.TGA.tx 			$INSTDIR\resource\textures\Locations\NATIVES\Island_Quebralas_Costilla2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla3.TGA.tx 			$INSTDIR\resource\textures\Locations\NATIVES\Island_Quebralas_Costilla3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costillas.TGA.tx 			$INSTDIR\resource\textures\Locations\NATIVES\Island_Quebralas_Costillas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Redmond.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Island_Redmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ITEMS.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\ITEMS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\KhaelRoa_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\KhaelRoa_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\kora.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_1.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\kora_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_2.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\kora_2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_3.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\kora_3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_4.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\kora_4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\leafPalms.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\leafPalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\Leaves.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves1.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\Leaves1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\MAYAK01.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\MAYAK01.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\NAVALCOLLEGE.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\NAVALCOLLEGE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\New_Mountain.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\New_Mountain.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_brick.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\oxbay_brick.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\oxbay_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_rocks.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\oxbay_rocks.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_tile.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\oxbay_tile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Port_Radmond.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Port_Radmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\River.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_Caustik.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\River_Caustik.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\River_top.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\River_top1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River1.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\River1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RIVER2.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\RIVER2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\rockground1.tga.tx					$INSTDIR\resource\textures\Locations\NATIVES\rockground1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_D_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Sand_D_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SAND_D_256_SVET.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\SAND_D_256_SVET.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Sand_L_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256_svet.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Sand_L_256_svet.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L1_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Sand_L1_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SandGrassR1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\SandGrassR1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandground2.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\Sandground2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandtile.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\Sandtile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\seaTile.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\seaTile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SHIPYARD3.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\SHIPYARD3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SIB_JUN_HOS.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\SIB_JUN_HOS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SKALA_JUNGLE.TGA.tx					$INSTDIR\resource\textures\Locations\NATIVES\SKALA_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\skala_jungle1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle2.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\skala_jungle2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle3.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\skala_jungle3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle6.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\skala_jungle6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle8.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\skala_jungle8.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungleDEX.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\skala_jungleDEX.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spa_palace1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\spa_palace1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spain_pesok.tga.tx 					$INSTDIR\resource\textures\Locations\NATIVES\spain_pesok.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SQUERE_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\SQUERE_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\STONES1.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\STONES1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\Tree.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree1.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\Tree1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\treePalms.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\treePalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Trees.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\Trees.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TROPA256.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\TROPA256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\tropa256_1.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\tropa256_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walk_256.TGA.tx 						$INSTDIR\resource\textures\Locations\NATIVES\walk_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkL_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\walkL_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\walkR_256.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\walkR_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\wall_2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WAREHOUSE.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\WAREHOUSE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\WaterFall.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall2.TGA.tx 					$INSTDIR\resource\textures\Locations\NATIVES\WaterFall2.TGA.tx

  CopyFiles /SILENT "$INSTDIR\resource\textures\BRCK48L COPY.TGA.tx" 					"$INSTDIR\resource\textures\Locations\SPAIN\BRCK48L COPY.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\Grass022 copy.TGA.tx" 					"$INSTDIR\resource\textures\Locations\SPAIN\Grass022 copy.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\Island_Isla Muelle.TGA.tx" 				"$INSTDIR\resource\textures\Locations\SPAIN\Island_Isla Muelle.TGA.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop0.tga.tx"					"$INSTDIR\resource\textures\Locations\SPAIN\sib_stuff cop0.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff cop2.tga.tx"					"$INSTDIR\resource\textures\Locations\SPAIN\sib_stuff cop2.tga.tx"
  CopyFiles /SILENT "$INSTDIR\resource\textures\sib_stuff copy.tga.tx"					"$INSTDIR\resource\textures\Locations\SPAIN\sib_stuff copy.tga.tx"
  CopyFiles /SILENT $INSTDIR\resource\textures\back_JUNGLE.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\back_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back_MOUNTAINS.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\back_MOUNTAINS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BACK_PLANTS.TGA.tx					$INSTDIR\resource\textures\Locations\SPAIN\BACK_PLANTS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back4.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\back4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\back6.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\back6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BARRACKS.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\BARRACKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BORTOUTTARTANE1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\BORTOUTTARTANE1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\BUMP_LAND.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\BUMP_LAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Cave3.tga.tx             				$INSTDIR\resource\textures\Locations\SPAIN\Cave3.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\church1.tga.tx             				$INSTDIR\resource\textures\Locations\SPAIN\church1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CITY_RADMOND.TGA.tx             				$INSTDIR\resource\textures\Locations\SPAIN\CITY_RADMOND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CONCEISAO_ROCKS.TGA.tx					$INSTDIR\resource\textures\Locations\SPAIN\CONCEISAO_ROCKS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL3_256.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\CORALL3_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\CORALL5_256.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\CORALL5_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\DECK.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\DECK.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Dirt.tga.tx                               		$INSTDIR\resource\textures\Locations\SPAIN\Dirt.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\eng_palace_exit.tga.tx          				$INSTDIR\resource\textures\Locations\SPAIN\eng_palace_exit.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Falaise_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Falaise_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\FalDeFL_P0.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P0_02.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\FalDeFL_P0_02.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FalDeFL_P1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\FalDeFL_P1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP_SAND.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\FFP_SAND.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\FFP2ROCK.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\FFP2ROCK.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Flore1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Flore2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Flore3a_512.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Flore3a_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\fonar.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_day.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\fonar_day.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_night.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\fonar_night.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fonar_noactive.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\fonar_noactive.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\fort_inside_stuff.TGA.tx 				$INSTDIR\resource\textures\Locations\SPAIN\fort_inside_stuff.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\govno.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\govno.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grassgreen1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\grassgreen1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\gray.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\gray.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\greenf.tga.tx						$INSTDIR\resource\textures\Locations\SPAIN\greenf.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\GREENF.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\GREENF.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\grey.TGA.tx						$INSTDIR\resource\textures\Locations\SPAIN\grey.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Hisp_Signs.tga.tx             				$INSTDIR\resource\textures\Locations\SPAIN\Hisp_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_4_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Isla_Muelle_4_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Isla_Muelle_BG.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Isla_Muelle_BG.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\IslaMuelle_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\IslaMuelle_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\Island.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_all_sm.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Island_all_sm.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_conceicao.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Island_conceicao.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Falaise_de_Fleur.TGA.tx 				$INSTDIR\resource\textures\Locations\SPAIN\Island_Falaise_de_Fleur.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Gaity.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Island_Gaity.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Island_Khael_Roa.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Khael_Roa_incas.TGA.tx 				$INSTDIR\resource\textures\Locations\SPAIN\Island_Khael_Roa_incas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Oxbay.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Island_Oxbay.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla2.TGA.tx 			$INSTDIR\resource\textures\Locations\SPAIN\Island_Quebralas_Costilla2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costilla3.TGA.tx 			$INSTDIR\resource\textures\Locations\SPAIN\Island_Quebralas_Costilla3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Quebralas_Costillas.TGA.tx 			$INSTDIR\resource\textures\Locations\SPAIN\Island_Quebralas_Costillas.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Island_Redmond.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Island_Redmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\ITEMS.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\ITEMS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\KhaelRoa_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\KhaelRoa_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\kora.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_1.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\kora_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_2.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\kora_2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_3.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\kora_3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\kora_4.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\kora_4.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\leafPalms.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\leafPalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\Leaves.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Leaves1.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\Leaves1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\MAYAK01.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\MAYAK01.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\NAVALCOLLEGE.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\NAVALCOLLEGE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\New_Mountain.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\New_Mountain.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_refl.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\oxbay_refl.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_rocks.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\oxbay_rocks.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\oxbay_tile.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\oxbay_tile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Port_Radmond.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Port_Radmond.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Portugal_Signs.tga.tx					$INSTDIR\resource\textures\Locations\SPAIN\Portugal_Signs.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RED_ED.TGA.tx             				$INSTDIR\resource\textures\Locations\SPAIN\RED_ED.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RED_EDA.TGA.tx             				$INSTDIR\resource\textures\Locations\SPAIN\RED_EDA.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RED_EDB.TGA.tx             				$INSTDIR\resource\textures\Locations\SPAIN\RED_EDB.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\res_listik.tga.tx             				$INSTDIR\resource\textures\Locations\SPAIN\res_listik.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\res_win.tga.tx             				$INSTDIR\resource\textures\Locations\SPAIN\res_win.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\River.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_Caustik.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\River_Caustik.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\River_top.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River_top1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\River_top1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\River1.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\River1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\RIVER2.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\RIVER2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\rockground1.tga.tx					$INSTDIR\resource\textures\Locations\SPAIN\rockground1.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_D_256.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Sand_D_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SAND_D_256_SVET.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\SAND_D_256_SVET.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Sand_L_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L_256_svet.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Sand_L_256_svet.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sand_L1_256.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Sand_L1_256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SandGrassR1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\SandGrassR1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandground2.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Sandground2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Sandtile.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\Sandtile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\seaTile.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\seaTile.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SHIPYARD3.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\SHIPYARD3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SIB_JUN_HOS.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\SIB_JUN_HOS.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\SKALA_JUNGLE.TGA.tx					$INSTDIR\resource\textures\Locations\SPAIN\SKALA_JUNGLE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\skala_jungle1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle2.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\skala_jungle2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle3.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\skala_jungle3.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle6.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\skala_jungle6.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungle8.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\skala_jungle8.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\skala_jungleDEX.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\skala_jungleDEX.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spa_palace1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\spa_palace1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\spain_pesok.tga.tx 					$INSTDIR\resource\textures\Locations\SPAIN\spain_pesok.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\STONES1.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\STONES1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\Tree.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Tree1.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\Tree1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\treePalms.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\treePalms.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Trees.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\Trees.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TROPA256.TGA.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TROPA256.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\tropa256_1.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\tropa256_1.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_1_512.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\wall_1_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\wall_2_512.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\wall_2_512.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WAREHOUSE.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\WAREHOUSE.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\WaterFall.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\WaterFall2.TGA.tx 					$INSTDIR\resource\textures\Locations\SPAIN\WaterFall2.TGA.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\_ladde_.tga.tx 				  		$INSTDIR\resource\textures\Locations\SPAIN\_ladde_.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Borgga_rd.tga.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Borgga_rd.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\checker.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\checker.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\h_sida.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\h_sida.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TH.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TH.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TN.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TN.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TO.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TO.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TV.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TV.tga.tx

SectionEnd


; ================================================
;  Start UPDATE Files Section
; ================================================

Section "UPDATE Files" SEC02
  SectionIn RO

  ${If} ${FileExists} "$INSTDIR\readme.txt"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "Readme.txt not found. Make sure you install the 2003 Pirates of the Caribbean game by Akella first!" IDOK abort1
    abort1:
    Banner::destroy
    Abort
  ${EndIf}

  ${If} ${FileExists} "$INSTDIR\Build Info.txt"
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "Build Info.txt not found. Make sure you install the Build 14 Beta 3 Main Files first!" IDOK abort2
    abort2:
    Banner::destroy
    Abort
  ${EndIf}


; ================================================
;  Install UPDATE Files
; ================================================

  ${If} ${FileExists} "$EXEDIR\b14_beta3_update.7z"
  ${Else}
    ${If} ${FileExists} "$EXEDIR\b14_beta3_full.7z"
    ${Else}
      MessageBox MB_OK|MB_ICONINFORMATION "Update Files archive file not present. Place 'b14_beta3_update.7z' in this folder to continue." IDOK continue
      continue:
      ${If} ${FileExists} "$EXEDIR\b14_beta3_update.7z"
      ${Else}
        MessageBox MB_OK|MB_ICONINFORMATION "Update Files archive not found. Unable to continue installation." IDOK abort
        abort:
        Banner::destroy
        Abort
      ${EndIf}
    ${EndIf}
  ${EndIf}

  ; Extract 7-Zip File
  SetOutPath "$EXEDIR"
  Nsis7z::ExtractWithDetails "b14_beta3_update.7z" "Extracting Update Files: %s..."

  ; Copy from EXE Folder to Installation Directory
  StrCpy $switch_overwrite 1
  !insertmacro MoveFolder "$EXEDIR\b14_beta3_update\" "$INSTDIR\" "*.*"


; ================================================
;  Clean Up Update Files
; ================================================

  Delete "$INSTDIR\PROGRAM\DIALOGS\Greenford Commander_dialog.c"
  Delete "$INSTDIR\PROGRAM\DIALOGS\English\Greenford Commander1_dialog.h"
  Delete "$INSTDIR\PROGRAM\DIALOGS\English\Greenford Commander_dialog.h"
  Delete $INSTDIR\PROGRAM\SEA_AI\BOAL_Deck.c
  Delete $INSTDIR\PROGRAM\SEA_AI\MUTINY_Deck.c
  Delete $INSTDIR\PROGRAM\SEA_AI\walk\CursedDutchman_walk.c
  Delete $INSTDIR\PROGRAM\Storyline\GoldBug\StartStoryline.c
  Delete $INSTDIR\PROGRAM\Storyline\JackSparrow\SL_utils.c
  Delete $INSTDIR\PROGRAM\Storyline\standard\SL_utils.c
  Delete $INSTDIR\RESOURCE\INI\fonts_new.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\boal_map_na.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\character_SA.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\endgame_na.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\fortcapture_na.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\gamble_SA.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\officer_SA.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\TradeBook_na.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\Transfer_cannons_na.ini
  Delete $INSTDIR\RESOURCE\INI\NEW_INTERFACES\transfer_goods_na.ini
  Delete $INSTDIR\RESOURCE\INI\TEXTS\ENGLISH\flag_descriptions.txt
  Delete $INSTDIR\RESOURCE\MODELS\Ships\FleutWar\FleutWar_mast1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\FleutWar\FleutWar_rey_a1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\FleutWar\FleutWar_rey_b1.gm
  Delete $INSTDIR\RESOURCE\MODELS\Ships\HMS_Dauntless\HMS_Endeavour_mast1.gm
  Delete "$INSTDIR\RESOURCE\MODELS\Ships\RN_SuperiorWarship\RN_SuperiorWarship - kopie.gm"
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_1.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_2.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_3.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_4.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_5.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_6.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_7.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_8.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_10.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_11.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_12.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_13.tga.tx
  Delete $INSTDIR\RESOURCE\Textures\BATTLE_INTERFACE\moor_14.tga.tx
  ${If} ${FileExists} "$INSTDIR\RESOURCE\Sounds\MUSIC\CutthroatIsland_Main_Theme.ogg"
    Delete $INSTDIR\RESOURCE\Sounds\MUSIC\March.ogg
    Delete $INSTDIR\RESOURCE\Sounds\MUSIC\Sobor2.ogg
    Delete $INSTDIR\RESOURCE\Sounds\MUSIC\Jungle3.ogg
    Delete $INSTDIR\RESOURCE\Sounds\MUSIC\Jungle4.ogg
    Delete $INSTDIR\RESOURCE\Sounds\MUSIC\Sea_battle06.ogg
    Rename $INSTDIR\RESOURCE\Sounds\MUSIC\CutthroatIsland_Main_Theme.ogg				$INSTDIR\RESOURCE\Sounds\MUSIC\Main_Title.ogg
    Rename "$INSTDIR\RESOURCE\Sounds\MUSIC\15-Sailing 2 (Night).ogg"					$INSTDIR\RESOURCE\Sounds\MUSIC\Sailing_Night.ogg
    Rename $INSTDIR\RESOURCE\Sounds\MUSIC\WorldMap.ogg							$INSTDIR\RESOURCE\Sounds\MUSIC\Sailing_Night2.ogg
    Rename $INSTDIR\RESOURCE\Sounds\MUSIC\WorldMap2.ogg							$INSTDIR\RESOURCE\Sounds\MUSIC\Sailing_Night3.ogg
    Rename "$INSTDIR\RESOURCE\Sounds\MUSIC\12-WorldMap.ogg"						$INSTDIR\RESOURCE\Sounds\MUSIC\Worldmap.ogg
    Rename "$INSTDIR\RESOURCE\Sounds\MUSIC\16-Sailing 3 (Old Storm).ogg"				$INSTDIR\RESOURCE\Sounds\MUSIC\Worldmap2.ogg
    Rename $INSTDIR\RESOURCE\Sounds\MUSIC\Storm2.ogg							$INSTDIR\RESOURCE\Sounds\MUSIC\Sailing_Storm.ogg
    Rename $INSTDIR\RESOURCE\Sounds\MUSIC\Storm3.ogg							$INSTDIR\RESOURCE\Sounds\MUSIC\Storm2.ogg
    Rename $INSTDIR\RESOURCE\Sounds\MUSIC\Storm4.ogg							$INSTDIR\RESOURCE\Sounds\MUSIC\Storm3.ogg
  ${EndIf}
  CopyFiles /SILENT $INSTDIR\resource\textures\Borgga_rd.tga.tx 					$INSTDIR\resource\textures\Locations\SPAIN\Borgga_rd.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\checker.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\checker.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\h_sida.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\h_sida.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TH.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TH.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TN.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TN.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TO.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TO.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\TV.tga.tx 						$INSTDIR\resource\textures\Locations\SPAIN\TV.tga.tx
  CopyFiles /SILENT $INSTDIR\resource\textures\Ships\fightdeck2.tga.tx 					$INSTDIR\resource\textures\fightdeck2.tga.tx

SectionEnd


; ================================================
;  Additional Optional Sections
; ================================================

Section /o "Intel Graphics Fix" SEC03
  SetOutPath "$INSTDIR"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\Intel GFX Fix\IntelCard.txt"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\Intel GFX Fix\Uninstall Intel Fix.exe"
  SetOutPath "$INSTDIR\MODULES"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\Intel GFX Fix\MODULES\sea.dll"
  SetOutPath "$INSTDIR\MODULES\Techniques\Weather"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\Intel GFX Fix\MODULES\Techniques\Weather\RadeonSea.sha"
SectionEnd

Section /o "ENB Improved Graphics" SEC04
  Delete "$INSTDIR\Uninstall ENB.bat"
  SetOutPath "$INSTDIR"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\d3d8.dll"
  SetOutPath "$INSTDIR\Documentation"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Documentation\ENB Key Codes.txt"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Documentation\ENB License.txt"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Documentation\ENB ReadMe.txt"
  SetOutPath "$INSTDIR"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\enbconvertor.ini"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\enbpalette.bmp"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\enbseries.ini"
  File "C:\Users\PDM Boelen\Desktop\NEW\Installer\ENB\Uninstall ENB.exe"
SectionEnd

Section -Post
  CreateDirectory $INSTDIR\SAVE
SectionEnd


; ================================================
;  Section Descriptions and Size
; ================================================

Function .onInit
# Section Size must be manually set to the size of the required disk space as NSIS will not do this for external files.
# set required size of section number of kilobytes
SectionSetSize ${SEC01} 7627553
SectionSetSize ${SEC02} 181505

; Installer must NOT be in the game directory
${If} ${FileExists} "$EXEDIR\ENGINE.exe"
  MessageBox MB_OK|MB_ICONINFORMATION "Please place the installation files OUTSIDE your game folder." IDOK abort1
  abort1:
  Banner::destroy
  Abort
${EndIf}

; Compressed 7-Zip files have to be in the same directory as the Installer File
${If} ${FileExists} "$EXEDIR\b14_beta3_full.7z"
${OrIf} ${FileExists} "$EXEDIR\b14_beta3_update.7z"
  Return
${Else}
  MessageBox MB_OK|MB_ICONINFORMATION "No archive files present. Place 'b14_beta3_full.7z' and/or 'b14_beta3_update.7z' in this folder to continue." IDOK continue
  continue:
  ${If} ${FileExists} "$EXEDIR\b14_beta3_full.7z"
  ${OrIf} ${FileExists} "$EXEDIR\b14_beta3_update.7z"
    Return
  ${Else}
    MessageBox MB_OK|MB_ICONINFORMATION "Archive files not found. Unable to continue installation." IDOK abort2
    abort2:
    Banner::destroy
    Abort
  ${EndIf}
${EndIf}

FunctionEnd

!insertmacro MUI_FUNCTION_DESCRIPTION_BEGIN
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC01} "Code files and resources required for Build 14. Deselect if installing an Update only."
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC02} "Additional UPDATE files for Build 14. Will be skipped if not present."
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC03} "WARNING: ONLY install if you have an Intel Onboard Graphics card! This will allow the game to run with it, but prevents the sea from looking as good as otherwise."
  !insertmacro MUI_DESCRIPTION_TEXT ${SEC04} "Post-processing improved graphics. WARNING: Requires very high system specifications to run smoothly. Only install if you have a really good computer!"
!insertmacro MUI_FUNCTION_DESCRIPTION_END